package fr.natan.akkastreamfileprocessingapi.models
import Models.{Person, TvSerie}
object ModelsBuilder {

  def buildPersonModel(personMap: Map[String, String]): Person = {
    Person(
      personMap("nconst"),
      personMap("primaryName"),
      personMap("birthYear"),
      personMap("deathYear"),
      personMap("primaryProfession").split(",").toList,
      personMap("knownForTitles").split(",").toList
    )
  }

  def buildTvSerieModel(tvSerieMap: Map[String, String]): TvSerie = {
    val tvSerie: TvSerie = TvSerie(
      tvSerieMap("tconst"),
      tvSerieMap("titleType"),
      tvSerieMap("primaryTitle"),
      tvSerieMap("originalTitle"),
      tvSerieMap("startYear"),
      tvSerieMap("endYear"),
      tvSerieMap("runtimeMinutes"),
      tvSerieMap("genres").split(",").toList
    )
    tvSerie
  }
}
