package fr.natan.akkastreamfileprocessingapi.service

import fr.natan.akkastreamfileprocessingapi.models.Models.{Person, TvSerie}

import scala.concurrent.Future

//noinspection SpellCheckingInspection,AccessorLikeMethodIsUnit
trait AkkaStreamFileProcessing {
  def getPersonById(personID: String): Future[Person]
  def getPersonByName(primaryName: String): Future[Person]

  def getTvSerieById(tvSerieID: String): Future[TvSerie]
  def getTvSerieByPrimaryTitle(tvSerieTitle: String):List[TvSerie]

  def getTeamOfPersonsForTvSerie(tvSeriePrimaryTitle: String): Future[IndexedSeq[Person]]
  def getAllTvSeries(): Unit
  def getAllPersons(): Unit
}
